Package com.collabnet.ce.soap60.webservices.tracker

# Class WorkflowTransitionSoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.tracker.WorkflowTransitionSoapRow

public class WorkflowTransitionSoapRow extends Object
WorkflowList class represents a list of workflow transition definitions.

Since:
  4.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkflowTransitionSoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getDisplayOrder()`
  Returns 'displayOrder'.
  `String`
  `getFromStatusName()`
  Returns 'fromStatusName'.
  `String[]`
  `getRequiredFields()`
  Returns 'requiredFields'.
  `String`
  `getToStatusName()`
  Returns 'toStatusName'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setDisplayOrder(Integer displayOrder)`
  Sets 'displayOrder'.
  `void`
  `setFromStatusName(String fromStatusName)`
  Sets 'fromStatusName'.
  `void`
  `setRequiredFields(String[] requiredFields)`
  Sets 'requiredFields'.
  `void`
  `setToStatusName(String toStatusName)`
  Sets 'toStatusName'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WorkflowTransitionSoapRow

    public WorkflowTransitionSoapRow()

- ## Method Details

  - ### getFromStatusName

    public String getFromStatusName()
    Returns 'fromStatusName'. Display name of the final value
    Returns:
      Value of 'fromStatusName'.

  - ### setFromStatusName

    public void setFromStatusName(String fromStatusName)
    Sets 'fromStatusName'. Display name of the final value
    Parameters:
      `fromStatusName` - Value of 'fromStatusName'.

  - ### getToStatusName

    public String getToStatusName()
    Returns 'toStatusName'. Display name of the final value
    Returns:
      Value of 'toStatusName'.

  - ### setToStatusName

    public void setToStatusName(String toStatusName)
    Sets 'toStatusName'. Display name of the final value
    Parameters:
      `toStatusName` - Value of 'toStatusName'.

  - ### getDisplayOrder

    public Integer getDisplayOrder()
    Returns 'displayOrder'. Display order of this transition
    Returns:
      Value of 'displayOrder'.

  - ### setDisplayOrder

    public void setDisplayOrder(Integer displayOrder)
    Sets 'displayOrder'. Display order of this transition
    Parameters:
      `displayOrder` - Value of 'displayOrder'.

  - ### getRequiredFields

    public String[] getRequiredFields()
    Returns 'requiredFields'.
    Returns:
      Value of 'requiredFields'.

  - ### setRequiredFields

    public void setRequiredFields(String[] requiredFields)
    Sets 'requiredFields'.
    Parameters:
      `requiredFields` - Value of 'requiredFields'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)